Assign a wallet
Assign a specific Non Custodial Wallet to a user
POST
/
ncw
/
wallets
/
{walletId}
/
assign
TypeScript
const response: Promise<FireblocksResponse<EmbeddedWallet>> = fireblocks.embeddedWallets.assignEmbeddedWallet(embeddedWalletsApiAssignEmbeddedWalletRequest);CompletableFuture<ApiResponse<EmbeddedWallet>> response = fireblocks.embeddedWallets().assignEmbeddedWallet(walletId, idempotencyKey);response = fireblocks.embedded_wallets.assign_embedded_wallet(wallet_id, idempotency_key);curl --request POST \
--url https://api.fireblocks.io/v1/ncw/wallets/{walletId}/assignconst options = {method: 'POST'};
fetch('https://api.fireblocks.io/v1/ncw/wallets/{walletId}/assign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"walletId": "550e8400-e29b-41d4-a716-446655440000",
"enabled": true
}{
"message": "<string>",
"code": 123
}Headers
A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.
Path Parameters
Wallet Id
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<EmbeddedWallet>> = fireblocks.embeddedWallets.assignEmbeddedWallet(embeddedWalletsApiAssignEmbeddedWalletRequest);CompletableFuture<ApiResponse<EmbeddedWallet>> response = fireblocks.embeddedWallets().assignEmbeddedWallet(walletId, idempotencyKey);response = fireblocks.embedded_wallets.assign_embedded_wallet(wallet_id, idempotency_key);